package com.fs.wx.kf.service;

import com.fs.wx.kf.dto.*;
import com.fs.wx.kf.vo.*;

public interface IWeixinKfService {
    WeixinKfTokenVO getToken(String corpid,String corpsecret);
    WeixinKfMsgVO getMsg(String corpid,String corpsecret,WeixinKfMsgDTO dto);
    WeixinKfMsgSendVO sendMsg(String corpid,String corpsecret,WeixinKfMsgSendDTO dto);
    WeixinKfMsgSendVO sendEventMsg(String corpid,String corpsecret,WeixinKfEventMsgSendDTO dto);
    WeixinKfAddEditAccountVO addAccount(String corpid,String corpsecret,WeixinKfAddEditAccountDTO dto);
    WeixinKfAddEditAccountVO editAccount(String corpid,String corpsecret,WeixinKfAddEditAccountDTO dto);
    WeixinKfDelAccountVO delAccount(String corpid,String corpsecret,WeixinKfDelAccountDTO dto);
    WeixinKfUploadVO uploadFile(String corpid,String corpsecret,WeixinKfUploadDTO dto);
    String getFile(String corpid,String corpsecret,WeixinKfGetFileDTO dto);
    WeixinKfGetAccountUrlVO getAccountUrl(String corpid,String corpsecret,WeixinKuGetAccountUrlDTO dto);
    WeixinKfUserVO getUserInfo(String corpid,String corpsecret,WeixinKfUserDTO dto);
}
